Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.faces
Class FacesManager

    java.lang.Object
      org.jboss.seam.core.Manager
          org.jboss.seam.faces.FacesManager

    @Scope(value=EVENT)
    @Name(value="org.jboss.seam.core.manager")
    @Install(precedence=10,
             classDependencies="javax.faces.context.FacesContext")
    @BypassInterceptors
    public class FacesManager

extends Manager

An extended conversation manager for the JSF environment.

Author:
  Gavin King, Thomas Heute

Field Summary

Fields inherited from class org.jboss.seam.core.Manager
`REDIRECT_FROM_MANAGER`

Constructor Summary
`FacesManager()`

Method Summary
`String` | `appendConversationIdFromRedirectFilter(String url, String viewId)` Called by the Seam Redirect Filter when a redirect is called.
`void` | `beforeRedirect(String viewId)` Temporarily promote a temporary conversation to a long running conversation for the duration of a browser redirect.
`protected String` | `generateInitialConversationId()`
`static FacesManager` | `instance()`
`void` | `interpolateAndRedirect(String url)`
`void` | `prepareBackswitch(javax.faces.context.FacesContext facesContext)` If a page description is defined, remember the description and view id for the current page, to support conversation switching.
`void` | `redirect(String viewId)` Redirect to the given view id, encoding the conversation id into the request URL.
`void` | `redirect(String viewId, Map<String,Object> parameters, boolean includeConversationId)` Redirect to the given view id, after encoding parameters and conversation id into the request URL.
`void` | `redirect(String viewId, String conversationId)` Redirect to the given view id, after encoding the given conversation id into the request URL.
`protected void` | `storeConversationToViewRootIfNecessary()`

Methods inherited from class org.jboss.seam.core.Manager
`beforeRedirect, beginConversation, beginNestedConversation, conversationTimeout, encodeConversationId, encodeConversationId, encodeConversationId, encodeParameters, endConversation, endRequest, flushConversationMetadata, getConcurrentRequestTimeout, getConversationIdParameter, getConversationTimeout, getCurrentConversationDescription, getCurrentConversationEntry, getCurrentConversationId, getCurrentConversationIdStack, getCurrentConversationTimeout, getCurrentConversationViewId, getParentConversationId, getParentConversationIdParameter, getParentConversationViewId, getRootConversationId, handleConversationPropagation, initializeTemporaryConversation, isDifferentConversationId, isLongRunningConversation, isLongRunningOrNestedConversation, isNestedConversation, isReallyLongRunningConversation, leaveConversation, restoreConversation, setConcurrentRequestTimeout, setConversationIdParameter, setConversationTimeout, setCurrentConversationId, setCurrentConversationIdStack, setLongRunningConversation, setParentConversationIdParameter, switchConversation, toString, unlockConversation, updateCurrentConversationId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacesManager

    public FacesManager()

Method Detail

### beforeRedirect

    public void beforeRedirect(String viewId)

  Temporarily promote a temporary conversation to a long running conversation for the duration of a browser redirect. After the redirect, the conversation will be demoted back to a temporary conversation. Handle any changes to the conversation id, due to propagation via natural id.

### interpolateAndRedirect

    public void interpolateAndRedirect(String url)

### redirect

    public void redirect(String viewId)

  Redirect to the given view id, encoding the conversation id into the request URL.

  Overrides:
    `redirect` in class `Manager`
  Parameters:
    `viewId` - the JSF view id

### storeConversationToViewRootIfNecessary

    protected void storeConversationToViewRootIfNecessary()

  Overrides:
    `storeConversationToViewRootIfNecessary` in class `Manager`

### generateInitialConversationId

    protected String generateInitialConversationId()

  Overrides:
    `generateInitialConversationId` in class `Manager`

### redirect

    public void redirect(String viewId,
                         Map<String,Object> parameters,
                         boolean includeConversationId)

  Redirect to the given view id, after encoding parameters and conversation id into the request URL.

  Parameters:
    `viewId` - the JSF view id
    `parameters` - request parameters to be encoded (possibly null)
    `includeConversationId` - determines if the conversation id is to be encoded

### redirect

    public void redirect(String viewId,
                         String conversationId)

  Redirect to the given view id, after encoding the given conversation id into the request URL.

  Overrides:
    `redirect` in class `Manager`
  Parameters:
    `viewId` - the JSF view id
    `conversationId` - an id of a long-running conversation

### appendConversationIdFromRedirectFilter

    public String appendConversationIdFromRedirectFilter(String url,
                                                         String viewId)

  Called by the Seam Redirect Filter when a redirect is called. Appends the conversationId parameter if necessary.

  Parameters:
    `url` - the requested URL
  Returns:
    the resulting URL with the conversationId appended

### prepareBackswitch

    public void prepareBackswitch(javax.faces.context.FacesContext facesContext)

  If a page description is defined, remember the description and view id for the current page, to support conversation switching. Called just before the render phase.

### instance

    public static FacesManager instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD